> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace adaptors

> List all available workspace adaptors for the current project.



## OpenAPI

````yaml /openapi.json get /experimental/workspace/adaptor
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /experimental/workspace/adaptor:
    get:
      summary: List workspace adaptors
      description: List all available workspace adaptors for the current project.
      operationId: experimental.workspace.adaptor.list
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: Workspace adaptors
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                  required:
                    - type
                    - name
                    - description
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.experimental.workspace.adaptor.list({
              ...
            })

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.